program chxtintst;


var
  i,pos		: integer;
  asc,resp	: packed array [1..10] of char;

%include de:[22,320]chxtin.ext;

begin
  repeat
    write('enter hex value:');
    readln(asc);
    write('enter pos:');
    readln(pos);
    chxtin(asc,i,pos);
    writeln('HEX:',i,'  Pos:',pos);
    write('Continue:');
    readln(resp);
  until (resp[1] = 'N') or (resp[1] = 'n');
end.
